<?php 

#     /* 

#     Plugin Name: vFlyer Listing

#     Plugin URI: http://www.vflyer.com

#     Description: vFlyer Listing

#     Author: vFlyer Inc

#     Version: 1.16

#     Author URI: http://www.vflyer.com

#     */  


require_once('listgridview.php');

if( !class_exists('vFlyerListing') )

{

	class vFlyerListing{

		private $objMainView;

		function vFlyerListing() { //constructor

		

			add_action( 'admin_menu', array($this, 'my_plugin_menu') );

			# Update Plugin

			if( $_POST['action'] == 'setapidetails' )

				add_action( 'init', array($this,'updateVflyApiDetails') );

			if( $_POST['action'] == 'setlayout' )

				add_action( 'init', array($this,'updateVflyLayout') );


			if( $_POST['action'] == 'listinglayoutsettings' )

				add_action( 'init', array($this,'updateListingLayout') );


			if( $_POST['action'] == 'detailSettingsFullW' )
				add_action( 'init', array($this,'updateDetailSettingsFullW') );
				
			if( $_POST['action'] == 'detailSettingsHalfW' )

				add_action( 'init', array($this,'updateDetailSettingsHalfW') );
		
				
			if( $_POST['action'] == 'listingListlayoutsettings' )

				add_action( 'init', array($this,'updateListingListLayout') );


			if( $_POST['action'] == 'VLP_delete' )

				add_action( 'init', array($this,'UninstallVLP') );					


			add_action( 'admin_head', array($this, 'vflyercss') );


			add_action( 'wp_head', array($this, 'vflyerfrontcss') );

			add_shortcode('vflyer-listing', array($this, 'Front_vFlyer_Listing') );
										

			#Creates Defalut Values

			register_activation_hook( __FILE__, array($this, 'InstallDefaultValues') );
			register_deactivation_hook(__FILE__, array($this, 'UnInstallDefaultValues'));
				
			$this->objMainView      = new mainview();		
			
		}

		

		function my_plugin_menu() {

			global $objvFlyerListing;

		//	add_options_page('vFlyer Listing', 'vFlyer Listing', 'manage_options', 'vFlyerlisting',array($objvFlyerListing, 'vFlyerlistingFun'));
			
		
			add_menu_page('vFlyer Listing', 'vFlyer Listing', 'manage_options', 'vListing', array($objvFlyerListing, 'vFlyerlistingFun'),get_bloginfo('wpurl').'/wp-content/plugins/vflyerlisting/images/vflyer-log.png' , 'div' );
			add_submenu_page( 'vListing', 'Api Details', 'API Details', 'manage_options', 'apidetails', array($objvFlyerListing, 'SetAPIDetails'));
			add_submenu_page( 'vListing', 'Layout settings', 'Settings', 'manage_options', 'layoutsettings', array($objvFlyerListing, 'LayoutSettings'));			
			

		}


		function vflyercss() {
	
			if (get_bloginfo('version') > 3.2) {
				echo '<link type="text/css" rel="stylesheet" href="' . get_bloginfo('wpurl') . '/wp-content/plugins/vflyerlisting/vflyercss.css" />';
			}else {
				echo '<link type="text/css" rel="stylesheet" href="' . get_bloginfo('wpurl') . '/wp-content/plugins/vflyerlisting/vflyercss1.css" />';				
			}
		}

		function vflyerfrontcss() {
			echo '<script> var path="'.get_bloginfo('wpurl').'";</script>';
			echo '<script type="text/javascript" src="'.get_bloginfo('wpurl').'/wp-content/plugins/vflyerlisting/js/vflyerlightbox.js"></script>';
		
			echo '<link type="text/css" rel="stylesheet" href="' . get_bloginfo('wpurl') . '/wp-content/plugins/vflyerlisting/vflyerstyle.css" />';
		
		}
	
	


// Email set Function

	

function vFlyerlistingFun()
{

$rdlistview = get_option( 'rdolistview' );
$rddetailview = get_option( 'rdodetailview' );

?>

<div class="wrap">
<div class="icon32" id="icon-options-general"><br></div> <h2>vFlyer Classified Listing</h2>
<?php if ( !empty($_POST ) ) { ?>
	<div id="message" class="updated fade"><p><strong><?php _e('Settings saved.') ?></strong></p></div><br />
<?php } ?>
<div class="postbox-container" style="width:65%;">

<div class="metabox-holder">
  <div class="">
    <div class="postbox">
      <h3 class="hndle"><span>Listing Settings</span></h3>
<form name="frmListing" id="frmListing" action="" method="post">
      <div class="inside">
      <table width="45%" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td>Listings Page View:</td>
          <td><input type="radio" id="listviewid" name="rdolistview" <?php if($rdlistview == "listview") { ?> checked="checked" <?php } ?> value="listview" /></td>
          <td><label for="listviewid"><img src="<?php echo get_bloginfo('wpurl') ?>/wp-content/plugins/vflyerlisting/images/list-view.png"  alt="" /></label> <br />
List View</td>
          <td><input type="radio" id="gridviewid" name="rdolistview" <?php if($rdlistview == "gridview") { ?> checked="checked" <?php } ?> value="gridview" /></td>
          <td><label for="gridviewid"><img src="<?php echo get_bloginfo('wpurl') ?>/wp-content/plugins/vflyerlisting/images/gallery-view.png"  alt="" /></label> <br />Gallery View</td>
        </tr>

 		<tr>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
        </tr>
        
        <tr>
          <td>Detail Page View:</td>
          <td><input type="radio" id="listingdetaili" name="rdodetailview" <?php if($rddetailview == "Layout 2") { ?> checked="checked" <?php } ?> value="Layout 2" /></td>
          <td><label for="listingdetaili"><img src="<?php echo get_bloginfo('wpurl') ?>/wp-content/plugins/vflyerlisting/images/listing-detail-I.png"  alt="" /></label> <br /> Listing Detail I</td>
          <td><input type="radio" id="listingdetailii" name="rdodetailview" <?php if($rddetailview == "Layout 1") { ?> checked="checked" <?php } ?> value="Layout 1" /></td>
          <td><label for="listingdetailii"><img src="<?php echo get_bloginfo('wpurl') ?>/wp-content/plugins/vflyerlisting/images/Listing-Detail-II.png"  alt="" /></label> <br /> Listing Detail II</td>
        </tr>
        <tr>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
        </tr>
      </table>
<input type="submit" name="create_page" value="Update" class="button">
<input type="hidden" name="action" id="action" value="setlayout" />     
      </div>
</form>
    </div>
  </div>
</div> <!-- / END Account ID  -->




</div>
<div class="postbox-container" style="width:30%;">&nbsp;</div>


</div>

<div style="clear: both;"></div>

<?php
}	// vFlyer Listing Function End

	// API Details Function Start From Here
function SetAPIDetails()
{
		$vflyacid = get_option( 'vflyer_account_id' );
	?>

<div class="wrap">
<div class="icon32" id="icon-options-general"><br></div> <h2>vFlyer API Details</h2>
<?php if ( !empty($_POST ) ) { ?>
	<div id="message" class="updated fade"><p><strong><?php _e('Settings saved.') ?></strong></p></div><br />
<?php } ?>
<div class="postbox-container" style="width:65%;">

<div class="metabox-holder">

<form name="frmApi" id="frmApi" action="" method="post">

 <div class="postbox">
      <h3 class="hndle"><span>Api Details</span></h3>
      <div class="inside">
      
      <label for="vflyer_account_id">vFlyer Account ID:</label>		<input type="text" size="30" value="<?php _e($vflyacid); ?>" name="vflyer_account_id" id="vflyer_account_id">

		<p class="submit"> 
        <input type="submit" name="create_page" value="Save Account ID" class="button">
        
        </p>

      
      </div>
    </div>

<input type="hidden" name="action" id="action" value="setapidetails" />
</form>
    
</div> 

<!-- / END Account ID  -->


<div class="metabox-holder">
  <div class="meta-box-sortables">
    <div class="postbox postshrtcode">
      <h3 class="hndle"><span>Short Code</span></h3>
      <div class="inside">
	All Listings [vflyer-listing all] OR [vflyer-listing]<br />      
  <?php 
			$vflyacid = get_option( 'vflyer_account_id' );

			$ch = curl_init('http://www.vflyer.com/home/account?id='.$vflyacid);


            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

            curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.8.1.6) Gecko/20070725 Firefox/2.0.0.6');

            curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);

            $str_results = curl_exec($ch);

            curl_close($ch);


            $xml_results = simplexml_load_string($str_results);
			
			$tempflyArr=$xml_results->flyers->flyer; 
			$arr=array();
			for($i=0;$i<count($tempflyArr);$i++)
			{
				$arr[$i]=htmlspecialchars($tempflyArr[$i]->type);
			}
			$tempArr=array_unique($arr);
			 foreach($tempArr as $fcat) {
   ?>    
      
		<?php echo $fcat; ?> [vflyer-listing <?php echo strtolower(str_replace(" ","-",$fcat)); ?>]<br />

<?php } ?>
<p>Please past above short code on page editor section where you want to show v Flyer listing.</p>
      
      </div>
    </div>
  </div>
</div> <!-- / END Short Code  -->


</div>
<div class="postbox-container" style="width:30%;">&nbsp;</div>


</div>

<div style="clear: both;"></div>
    
    <?php
	}
	
	// API Details Function End Here



	// Settings Function Start from here
function LayoutSettings()
{
	$rdlistview = get_option( 'rdolistview' );
	
	if($rdlistview == "listview" ) {
		
		$this->ListViewlayoutSettings();
		
	} else {
	
		$Varlayoutrows = get_option( 'layoutrows' );
		$Varlayoutcolumn = get_option( 'layoutcolumn' );
		$Varchkaspect = get_option( 'chkaspect' );
		$Varlayoutwidth = get_option( 'layoutwidth' );
		$Varlayoutheight = get_option( 'layoutheight' );
		$Varcapalignment = get_option( 'capalignment' );
		$Varlistalignment = get_option( 'listalignment' );
		$Varchktitle = get_option( 'chktitle' );
		$Varchksummary = get_option( 'chksummary' );
		$Varchklocation = get_option( 'chklocation' );
		$Varchkprice = get_option( 'chkprice' );
		$Varlayoutcharcount = get_option( 'layoutcharcount' );
		$VarchkShowContactFullw = get_option( 'chkShowContactFullw' );		
		$Vardetaillayoutwidth = get_option( 'detaillayoutwidth' );				
		
		
		
	?>

<script type="text/javascript" language="javascript">
function CalCulateRatio()
{
	if(document.getElementById("chkaspect").checked ) {
		w=document.getElementById("layoutwidth").value;
		if( ! isNaN(w) ) {
			document.getElementById("layoutheight").value=parseInt((w*.8));
		} else {
			document.getElementById("layoutheight").value=100;
			document.getElementById("layoutwidth").value=120;			
		}
	}
}

function ReverseCalCulateRatio()
{
	if(document.getElementById("chkaspect").checked ) {
		h=document.getElementById("layoutheight").value;
		if( ! isNaN(h) ) {
			document.getElementById("layoutwidth").value=parseInt(h)+parseInt((h*.2));
		} else {
			document.getElementById("layoutheight").value=100;
			document.getElementById("layoutwidth").value=120;
		}
	}
}


</script>

<div class="wrap">
<div class="icon32" id="icon-options-general"><br></div> <h2>vFlyer Layout Settings</h2>
<?php if ( !empty($_POST ) ) { ?>
	<div id="message" class="updated fade"><p><strong><?php _e('Settings saved.') ?></strong></p></div><br />
<?php } ?>
<div class="postbox-container" style="width:65%;">

<div class="metabox-holder">

<form name="frmLayout" id="frmLayout" action="" method="post">

 <div class="postbox">
      <h3 class="hndle"><span>Listings Gallery View Layout Settings</span></h3>
      <div class="inside">
      
      <div class="lysettings">
<div class="lysettingspadd">
      <label for="vflyer_account_id">Rows:</label><select name="layoutrows" style="width: 50px">
      
      <option value="1" <?php if($Varlayoutrows == 1 ){ ?> selected="selected" <?php } ?> >1</option>
      <option value="2" <?php if($Varlayoutrows == 2 ){ ?> selected="selected" <?php } ?> >2</option>
      <option value="3" <?php if($Varlayoutrows == 3 ){ ?> selected="selected" <?php } ?> >3</option>                  
      <option value="4" <?php if($Varlayoutrows == 4 ){ ?> selected="selected" <?php } ?> >4</option>
      </select>
</div>
<div class="lysettingspadd">
      <label for="vflyer_account_id">Columns:</label>
      <select name="layoutcolumn" style="width: 50px">

      <option value="1" <?php if($Varlayoutcolumn == 1 ){ ?> selected="selected" <?php } ?> >1</option>
      <option value="2" <?php if($Varlayoutcolumn == 2 ){ ?> selected="selected" <?php } ?> >2</option>
      <option value="3" <?php if($Varlayoutcolumn == 3 ){ ?> selected="selected" <?php } ?> >3</option>   
      <option value="4" <?php if($Varlayoutcolumn == 4 ){ ?> selected="selected" <?php } ?> >4</option>
      
      </select>
</div>

<div class="lysettingspadd">
<input type="checkbox" value="1" id="chkaspect" style=" float: left; margin-right: 10px;" name="chkaspect" <?php if($Varchkaspect == 1 ){ ?> checked="checked" <?php } ?> /> <label for="vflyer_aspect_ratio">Lock Aspect Ratio</label></div>
<div class="lysettingspadd">
<label for="">Thumbnail Width (in pixels)</label> <input type="text" value="<?php echo $Varlayoutwidth; ?>" onkeyup="CalCulateRatio();" name="layoutwidth" id="layoutwidth" /></div>
<div class="lysettingspadd">
<label for="">Thumbnail Height (in pixels)</label> <input type="text" value="<?php echo $Varlayoutheight; ?>" onkeyup="ReverseCalCulateRatio();" name="layoutheight" id="layoutheight" /></div>
<div class="lysettingspadd">
<label for="">Caption Alignment</label>
<select name="capalignment">
<option value="left" <?php if($Varcapalignment == "left" ){ ?> selected="selected" <?php } ?> >Left</option>
<option value="center" <?php if($Varcapalignment == "center" ){ ?> selected="selected" <?php } ?> >Center</option>
<option value="right" <?php if($Varcapalignment == "right" ){ ?> selected="selected" <?php } ?> >Right</option>

</select></div>
<div class="lysettingspadd">
<label for="">Listing Alignment</label>
<select name="listalignment">
<option value="left" <?php if($Varlistalignment == "left" ){ ?> selected="selected" <?php } ?> >Left</option>
<option value="center" <?php if($Varlistalignment == "center" ){ ?> selected="selected" <?php } ?> >Center</option>
<option value="right" <?php if($Varlistalignment == "right" ){ ?> selected="selected" <?php } ?> >Right</option>

</select></div>
<div class="lysettingspadd"> <input type="checkbox" value="1" <?php if($Varchktitle == 1 ){ ?> checked="checked" <?php } ?> name="chktitle" style=" float: left; margin-right: 10px;" /> <label for="">Show Title</label></div>
<div class="lysettingspadd"><input type="checkbox" value="1" <?php if($Varchksummary == 1 ){ ?> checked="checked" <?php } ?> name="chksummary" style=" float: left; margin-right: 10px;" /> <label for="">Show Summary Fields</label></div>
<div class="lysettingspadd"><input type="checkbox" value="1" <?php if($Varchklocation == 1 ){ ?> checked="checked" <?php } ?> name="chklocation" style="float: left; margin-right: 10px;" /> <label for="">Show Location</label></div>
<div class="lysettingspadd"><input type="checkbox" value="1" <?php if($Varchkprice == 1 ){ ?> checked="checked" <?php } ?> name="chkprice" style=" float: left; margin-right: 10px;" /> <label for="">Show Price</label></div>
<div class="lysettingspadd"><label for="">Line Character Count</label> <input type="text" value="<?php echo $Varlayoutcharcount; ?>" name="layoutcharcount" /></div>
		<p class="submit"> 
        <input type="submit" name="create_page" value="Update" class="button">
        
        </p>
</div>
      
      </div>
    </div>

<input type="hidden" name="action" id="action" value="listinglayoutsettings" />
</form>
    
</div> 

<!-- / END Account ID  -->

<div class="metabox-holder">
<div class="postbox postshrtcode">
      <h3 class="hndle"><span>Detail Page Settings</span></h3>
      <div class="inside">
      
      
<form name="frmdetailSettingsFullW" action="" method="post">
<div class="lysettingspadd"> <input type="checkbox" value="1" <?php if($VarchkShowContactFullw == 1 ){ ?> checked="checked" <?php } ?> name="chkShowContactFullw" style=" float: left; margin-right: 10px;" /> <label for="">Show Contact Information</label></div>
<br />
<div class="lysettingspadd"><label for="">Layout Width(In pixels)</label> <input type="text" value="<?php echo $Vardetaillayoutwidth; ?>" name="detaillayoutwidth" /></div>

<p class="submit"> 
   <input type="submit" name="create_page" value="Update" class="button">
   </p>
<input type="hidden" name="action" id="action" value="detailSettingsFullW" />
</form>
      
      </div>
    </div>
</div>




<!--<div class="metabox-holder">
  <div class="meta-box-sortables">
    <div class="postbox">
      <h3 class="hndle"><span>Short Code</span></h3>
      <div class="inside">
      
      
Short Code: [vflyer-listing]

<p>Please paste above short code on page editor section where you want to show vFlyer listing.</p>
      
      </div>
    </div>
  </div>
</div>  -->

<!-- / END Short Code  -->


</div>
<div class="postbox-container" style="width:30%;">&nbsp;</div>


</div>

<div style="clear: both;"></div>
    
    <?php }
}
	
	// Settings Function End Here



function ListViewlayoutSettings()
{
	$Varlistlayoutrows = get_option( 'listlayoutrows' );
	
	$VarchkShowContactFullw = get_option( 'chkShowContactFullw' );	
	$Vardetaillayoutwidth = get_option( 'detaillayoutwidth' );		
	
	
		
	?>
    
<div class="wrap">
<div class="icon32" id="icon-options-general"><br></div> <h2>vFlyer Layout Settings</h2>
<?php if ( !empty($_POST ) ) { ?>
	<div id="message" class="updated fade"><p><strong><?php _e('Settings saved.') ?></strong></p></div><br />
<?php } ?>
<div class="postbox-container" style="width:65%;">

<div class="metabox-holder">

<form name="frmListLayout" id="frmListLayout" action="" method="post">

 <div class="postbox">
      <h3 class="hndle"><span>Listings List View Layout Settings</span></h3>
      <div class="inside">
      
      <div class="lysettings">
<div class="lysettingspadd">
      <label for="vflyer_account_id">Rows:</label><select name="listlayoutrows" style="width: 50px">
      
      <option value="All" <?php if($Varlistlayoutrows == "All" ){ ?> selected="selected" <?php } ?> >All</option>
      <option value="5" <?php if($Varlistlayoutrows == 5 ){ ?> selected="selected" <?php } ?> >5</option>
      <option value="10" <?php if($Varlistlayoutrows == 10 ){ ?> selected="selected" <?php } ?> >10</option>                  
      <option value="15" <?php if($Varlistlayoutrows == 15 ){ ?> selected="selected" <?php } ?> >15</option>
      <option value="20" <?php if($Varlistlayoutrows == 20 ){ ?> selected="selected" <?php } ?> >20</option>      
      </select>
</div>

		<p class="submit"> 
        <input type="submit" name="create_page" value="Update" class="button">
        
        </p>
</div>
      
      </div>
    </div>

<input type="hidden" name="action" id="action" value="listingListlayoutsettings" />
</form>
    
</div> 

<!-- / END Account ID  -->

<div class="metabox-holder">
<div class="postbox postshrtcode">
      <h3 class="hndle"><span>Detail Page Settings</span></h3>
      <div class="inside">
      
      
<form name="frmdetailSettingsFullW" action="" method="post">
<div class="lysettingspadd"> <input type="checkbox" value="1" <?php if($VarchkShowContactFullw == 1 ){ ?> checked="checked" <?php } ?> name="chkShowContactFullw" style=" float: left; margin-right: 10px;" /> <label for="">Show Contact Information</label></div>
<br />
<div class="lysettingspadd"><label for="">Layout Width(In pixels)</label> <input type="text" value="<?php echo $Vardetaillayoutwidth; ?>" name="detaillayoutwidth" /></div>
<p class="submit"> 
   <input type="submit" name="create_page" value="Update" class="button">
   </p>
<input type="hidden" name="action" id="action" value="detailSettingsFullW" />
</form>
      
      </div>
    </div>
</div>



<!--<div class="metabox-holder">
  <div class="meta-box-sortables">
    <div class="postbox">
      <h3 class="hndle"><span>Short Code</span></h3>
      <div class="inside">
      
      
Short Code: [vflyer-listing]

<p>Please past above short code on page editor section where you want to show v Flyer listing.</p>
      
      </div>
    </div>
  </div>
</div> --> 

<!-- / END Short Code  -->


</div>
<div class="postbox-container" style="width:30%;">&nbsp;</div>


</div>

<div style="clear: both;"></div>    
    
    <?php
	}





	function Front_vFlyer_Listing($arg){
	


		if(!empty($arg) ){
			$cond=str_replace("-"," ",$arg[0]);
		} else {
			$cond='all';			
		}

		$this->objMainView->listgridview($cond);
	return;
	}



	function updateVflyApiDetails()
	{


		if( get_option( 'vflyer_account_id' ) || 1 ) {
			update_option( 'vflyer_account_id', $_POST["vflyer_account_id"] );
		} else {
			add_option( 'vflyer_account_id', $_POST["vflyer_account_id"] );			
		}

		$_POST['notice'] = __('Settings Saved');			
		

	}

	// Update Listing List Layout Settings
	
	function updateListingListLayout()
	{
		update_option( 'listlayoutrows', $_POST["listlayoutrows"] );
		$_POST['notice'] = __('Settings Saved');			

	}

	// Update Listing Layout Details
	
	function updateListingLayout()
	{
		
		update_option( 'layoutrows', $_POST["layoutrows"] );
		update_option( 'layoutcolumn', $_POST["layoutcolumn"] );		
		update_option( 'chkaspect', $_POST["chkaspect"]==1?1:0 );
		update_option( 'layoutwidth', $_POST["layoutwidth"] );	
		update_option( 'layoutheight', $_POST["layoutheight"] );
		update_option( 'capalignment', $_POST["capalignment"] );	
		update_option( 'listalignment', $_POST["listalignment"] );
		update_option( 'chktitle', $_POST["chktitle"]==1?1:0 );	
		update_option( 'chksummary', $_POST["chksummary"]==1?1:0 );
		update_option( 'chklocation', $_POST["chklocation"]==1?1:0 );		
		update_option( 'chkprice', $_POST["chkprice"]==1?1:0 );											
		update_option( 'layoutcharcount', $_POST["layoutcharcount"] );
		
		$_POST['notice'] = __('Settings Saved');			
		
	}


	// Update Details Full Page Settings
	
	function updateDetailSettingsFullW()
	{
		update_option( 'chkShowContactFullw', $_POST["chkShowContactFullw"]==1?1:0 );
		update_option( 'detaillayoutwidth', $_POST["detaillayoutwidth"] );
		$_POST['notice'] = __('Settings Saved');			
		
	}


	function updateVflyLayout()
	{

		update_option( 'rdolistview', $_POST["rdolistview"] );
		update_option( 'rdodetailview', $_POST["rdodetailview"] );		
		
		$_POST['notice'] = __('Settings Saved');			
		

	}


	// InstallDefaultValues Function start from here

	function  InstallDefaultValues() {

		add_option("rdolistview", "listview");
		add_option("rdodetailview", "Layout 1");

		add_option("layoutrows", 3);
		add_option("layoutcolumn", 3);
		add_option("layoutwidth", 200);
		add_option("layoutheight", 160);			
		add_option("chktitle", 0);										
		add_option( 'detaillayoutwidth',650 );			
		add_option( 'listlayoutrows', 5 );
			
		add_option( 'chksummary', 1 );
		add_option( 'chklocation', 1 );
		add_option( 'chkprice', 1 );
		add_option( 'layoutcharcount', 28 );

		
		add_option("vflyer_listing_version", "1.2");

	}



	//InstallDefaultValues function end here

	function UnInstallDefaultValues()
	{
		
		delete_option("rdolistview");
		delete_option("rdodetailview");

		delete_option("layoutrows");
		delete_option("layoutcolumn");
		delete_option("layoutwidth");
		delete_option("layoutheight");			
		delete_option("chktitle");										
		delete_option( 'detaillayoutwidth' );			
		delete_option( 'listlayoutrows');
			
		delete_option( 'chksummary');
		delete_option( 'chklocation');
		delete_option( 'chkprice' );
		delete_option( 'layoutcharcount');
		delete_option( 'vflyer_account_id');
		
		delete_option("vflyer_listing_version");		
	}



	//Unstall

	function UninstallVLP() {

		
		$plugin_file = 'vflyerlisting/vflyerlisting.php';


		delete_option("vflyer_listing_version");

	
		$deactivate = wp_nonce_url('plugins.php?action=deactivate&plugin=' . $plugin_file, 'deactivate-plugin_' . $plugin_file);

		$nonce = explode('_wpnonce', $deactivate);

		$nonce = '&_wpnonce'.$nonce[1];

		$location = trailingslashit(get_option('siteurl')).'wp-admin/plugins.php?action=deactivate&plugin=' . $plugin_file. $nonce;

		header( 'Location:'.$location );

	}

	

	//End Unstall







	} 	// end of class

	

} // End of If



if( class_exists('vFlyerListing') )

	$objvFlyerListing = new vFlyerListing();

	

?>